=== debian/changelog ===
ilisp (5.11.1-7) unstable; urgency=low

  * well 125744 was fixed, but I put the files in the old place on
    accident.
  * Fixed 140049 - bad symlinks
  * Fixed 138669 - typo in ilisp-cmu
  * Fixed 137011 - ilisp-pkg issues

 -- Craig Brozefsky <craig@red-bean.com>  Mon, 25 Feb 2002 12:26:21 -0500

ilisp (5.11.1-6) unstable; urgency=low

  * common-lisp-controller support finally.  This is the official
    interface for ILISP maintenance of source and compiled files for
    it's various CL based backends.
  * upstream updates, fresh baked from HEAD
  * closed 125744 ilisp-mak.el turn on
  * closed 98132  (use c-l-c now) take up with clisp maintainer
  * closed 128856 (use c-l-c now) cleanup is really cmucl's problem
  * closed 129980 (use c-l-c now)
  * closed 87652  (use c-l-c now)
  * closed 123631 (remaining changes are to be taken care of upstream)

 -- Craig Brozefsky <craig@red-bean.com>  Fri, 22 Feb 2002 12:26:21 -0500

ilisp (5.11.1-5) unstable; urgency=low

  * compile/install ilisp-imenu

 -- Craig Brozefsky <craig@red-bean.com>  Mon, 26 Nov 2001 12:26:21 -0500

ilisp (5.11.1-4) unstable; urgency=low

  * closed bug 121266

 -- Craig Brozefsky <craig@red-bean.com>  Mon, 26 Nov 2001 12:26:21 -0500

ilisp (5.11.1-3) unstable; urgency=low

  * closed bug 98130
  * closed bug 87751

 -- Craig Brozefsky <craig@red-bean.com>  Fri, 23 Nov 2001 12:26:21 -0500

ilisp (5.11.1-2) unstable; urgency=low

  * closed bug 120767, includes cltl2.elc
  * fixed minor emacsen-install problem

 -- Craig Brozefsky <craig@red-bean.com>  Fri, 23 Nov 2001 11:26:21 -0500

ilisp (5.11.1-1) unstable; urgency=low

  * New upstream minor version
  * closed bug 85592, actually last version did.
  * closed bug 119931 with upstream fix.
  * closed bug 18825

 -- Craig Brozefsky <craig@red-bean.com>  Thu, 22 Apr 2001 03:26:21 -0500

ilisp (5.11-1) unstable; urgency=low

  * New upstream version
  * closed bug 87752

 -- Craig Brozefsky <craig@red-bean.com>  Tue, 17 Apr 2001 03:26:21 -0500

ilisp (5.10.1-1) unstable; urgency=low

  * New upstream version
  * Added a system defaults  file in /etc/ilisp/ilisp.el which is loaded
    by the emacsen-startup code for ilisp only if ~/.ilisp is not
    readable.  This is to allow users to customize ilisp fully, while
    allowing administrators to provide useful defaults
  * Craig Brozefsky takes over as maintainer from the original
    packager, Jesse Bouwman <jesse@onshore.com>

 -- Craig Brozefsky <craig@red-bean.com>  Wed, 27 Dec 2000 03:26:21 -0500

ilisp (5.9.4-2) unstable; urgency=low

  * Add Karl Fogel's FSF keybindings, make them the default.

 -- Jesse L. Bouwman <jesse@onshore.com>  Fri,  4 Feb 2000 23:26:44 -0600

ilisp (5.9.4-1) unstable; urgency=low

  * Initial Release.

 -- Jesse L. Bouwman <jesse@onshore.com>  Wed,  2 Feb 2000 23:26:44 -0600

Local variables:
mode: debian-changelog
End:
