=== debian/control ===
Source: ilisp
Section: non-free/devel
Priority: optional
Maintainer: Craig Brozefsky <craig@debian.org>
Standards-Version: 3.0.1

Package: ilisp
Architecture: all
Depends: emacsen
Suggests: common-lisp-controller
Description: Package for interacting with LISPs using EMACSes
 ILISP is a powerful GNU Emacs interface to many dialects of Lisp,
 including Lucid, Allegro, Harlequin LispWorks, GCL, KCL, AKCL, ECL,
 IBCL, and CMUCL.  Also some Scheme implementations are supported as
 well as a preliminary version of Xlisp/XlispStat.
