=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

binary-indep: build
# nothing to do

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_installemacsen
	(cd docs; make ilisp.info; cd ..)
	$(installdoc) -d debian/tmp/usr/share/info
	$(installdoc) docs/*.info* debian/tmp/usr/share/info
	$(installbin) -d debian/tmp/usr/share/emacs/site-lisp/ilisp
	$(installbin) -d debian/tmp/usr/share/ilisp
	$(installdoc) *.el debian/tmp/usr/share/emacs/site-lisp/ilisp
	$(installdoc) *.lisp debian/tmp/usr/share/ilisp
	$(installdoc) *.scm debian/tmp/usr/share/ilisp
	$(installdoc) debian/ilisp.system debian/tmp/usr/share/ilisp/ilisp.system
	$(installbin) -d debian/tmp/usr/share/emacs/site-lisp/ilisp/extra
	$(installdoc) extra/*.el debian/tmp/usr/share/emacs/site-lisp/ilisp/extra
	$(installbin) -d debian/tmp/etc/ilisp
	$(installdoc) debian/ilisp.el debian/tmp/etc/ilisp
	dh_installdocs
	dh_installchangelogs	
	dh_installdeb
	dh_gencontrol
	dh_compress
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
