## ilisp 5.12.0%2Bcvs.2004.12.26

=== debian/changelog ===
ilisp (5.12.0+cvs.2004.12.26-29build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 19:45:22 +0000

ilisp (5.12.0+cvs.2004.12.26-29) unstable; urgency=medium

  * Obey mult-arch hinter
  * Update standards version to 4.6.2, no changes needed.
  * Dependency on adduser (closes: #1026015)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Jul 2023 19:32:24 +0100

ilisp (5.12.0+cvs.2004.12.26-28) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 11, since that's what is used in
    debian/compat.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 5.12.0+cvs.2003.03.02c,
    5.12.0+cvs.2002.11.10, 5.11.1-1.

  [ Barak A. Pearlmutter ]
  * Ack NMUs. (Thanks, Sébastien!)
  * bump policy
  * bump debhelper from 12 to 13

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Jan 2021 11:31:39 +0000

ilisp (5.12.0+cvs.2004.12.26-27.2) unstable; urgency=medium

  * Non-maintainer upload
  * Really remove the Pre-Depends on common-lisp-controller
    (Closes: #911527)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Dec 2018 11:29:53 +0100

ilisp (5.12.0+cvs.2004.12.26-27.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove Pre-Depends on common-lisp-controller. Accordingly, remove call
    to register-common-lisp-source in postinst, and entirely remove prerm.
    (Closes: #911527)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 26 Nov 2018 14:22:44 +0100

ilisp (5.12.0+cvs.2004.12.26-27) unstable; urgency=medium

  * does not seem compatible with xemacs21 (closes: #909377)
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Oct 2018 15:13:36 +0100

ilisp (5.12.0+cvs.2004.12.26-26) unstable; urgency=medium

  * swizzle packaging repo to salsa
  * dh11
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Mar 2018 20:11:09 +0100

ilisp (5.12.0+cvs.2004.12.26-25) unstable; urgency=medium

  * support emacs25
  * bump policy version
  * switch from texti2html to makeinfo per lintian
  * Rules-Require-Root: no
  * move an @itemize to the left in the texinfo file per warning
  * secure repo URLs

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Nov 2017 13:10:29 +0000

ilisp (5.12.0+cvs.2004.12.26-24) unstable; urgency=high

  * Team upload.
  * Patch ilisp-mak.el to bytecompile ilfsf25.el (Closes: #850072).
    Thanks Oleksandr Gavenko for reporting the problem, and Adam Di Carlo
    for the patch.
  * Pass `-f` to calls to `ln` in emacsen-install script.
    This ensures the script is idempotent (Closes: #861868).
    Thanks Adam Di Carlo for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 May 2017 12:26:14 -0700

ilisp (5.12.0+cvs.2004.12.26-23) unstable; urgency=medium

  * bump policy version
  * dh10
  * use debian-emacs-flavor and guard its use
  * add emacs25 support

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 25 Dec 2016 16:38:08 +0000

ilisp (5.12.0+cvs.2004.12.26-22) unstable; urgency=medium

  * Brazilian Portuguese debconf translation (closes: #816934)
  * bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Mar 2016 16:39:19 +0000

ilisp (5.12.0+cvs.2004.12.26-21) unstable; urgency=medium

  * Dutch debconf translation (closes: #766522)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 24 Oct 2014 12:49:28 +0100

ilisp (5.12.0+cvs.2004.12.26-20) unstable; urgency=medium

  * Italian debconf translation (closes: #764087)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Oct 2014 17:50:18 +0100

ilisp (5.12.0+cvs.2004.12.26-19) unstable; urgency=medium

  * track emacsen API

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Mar 2014 22:22:33 +0000

ilisp (5.12.0+cvs.2004.12.26-18) unstable; urgency=low

  * add emacs24 support (closes: #680646)
  * update some constructs that annoy the elisp compiler
  * stop making /etc/ilisp/ilisp-keybindings.el a conf file (closes: #688888)
  * restrict writes in global .fasl directory to group ilisp (closes: #682826)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Jul 2013 09:48:08 +0100

ilisp (5.12.0+cvs.2004.12.26-17) unstable; urgency=low

  * debconf Danish translation (closes: #661952)
  * dh 9
  * bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 23:21:25 +0000

ilisp (5.12.0+cvs.2004.12.26-16) unstable; urgency=low

  * silence lintian concerning debian/rules targets
  * single-debian-patch source option (closes: #643165)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Oct 2011 09:48:52 +0100

ilisp (5.12.0+cvs.2004.12.26-15) unstable; urgency=low

  * add missing right paren to completion bug fix (closes: #635094)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Jul 2011 18:47:34 +0200

ilisp (5.12.0+cvs.2004.12.26-14) unstable; urgency=low

  * fix completion bug

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Jul 2011 20:29:49 +0200

ilisp (5.12.0+cvs.2004.12.26-13) unstable; urgency=low

  * dh --parallel
  * upstream: tweaks to Makefile
    - increase robustness
    - allows removal of csh build dependency
  * bump deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Apr 2011 19:11:27 +0100

ilisp (5.12.0+cvs.2004.12.26-12) unstable; urgency=low

  * bump standards version (debian/control)
  * debconf Japanese translation (closes: #603652)
    thanks to Nobuhiro Iwamatsu
  * bump to debhelper 8

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Nov 2010 10:18:40 +0000

ilisp (5.12.0+cvs.2004.12.26-11) unstable; urgency=low

  * directly build PDF targets to avoid ps2pdf; see bugs.debian.org/578910

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jun 2010 16:29:19 +0200

ilisp (5.12.0+cvs.2004.12.26-10) unstable; urgency=low

  * debian/po/es.po: Spanish debconf translation (closes: #584446)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 04 Jun 2010 09:50:47 +0100


