## ilisp 5.12.0+cvs.2004.12.26

=== Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 # Please refer to the file ACKNOWLEGDEMENTS for an (incomplete) list
 # of present and past contributors.
 #
-# $Id: Makefile,v 1.18 2002/01/25 11:48:33 mkoeppe Exp $
+# $Id: Makefile,v 1.23 2003/12/13 23:43:44 rgrjr Exp $
 
 # Note: this makefile assumes GNU make
 
 #==============================================================================
 # Various Variables
 
-Version = 5.11.1
+Version = 5.12.0
 
 # Use whichever you like most
 #EMACS = xemacs
@@ -26,12 +26,8 @@
 # change this to an ordinary copy command
 LN = ln -s
 
-# Pick the HyperSpec access package you prefer among the ones available in
-# directory `extra'
-HyperSpec = hyperspec-naggum.el
-
 # The SHELL variable is used only for making the distribution.
-SHELL = /bin/sh
+SHELL = /bin/csh
 
 # The 'rm' command used (we redefine it mostly because it may be
 # aliased
@@ -46,12 +42,13 @@
              HISTORY        \
              Makefile       \
              ilisp.emacs    \
+             icompile.bat   \
              INSTALLATION   \
              COPYING        \
              GETTING-ILISP  \
              Welcome        \
 	     ChangeLog      \
-	     ACKNOWLEGDEMENTS
+	     ACKNOWLEDGMENTS
 
 # maybe add custom-ilisp.elc to LoadFiles later.
 LoadFiles = ilisp-def.elc ilisp-sym.elc \
@@ -60,10 +57,9 @@
  ilisp-ext.elc ilisp-mod.elc ilisp-dia.elc ilisp-cmt.elc ilisp-rng.elc \
  ilisp-hnd.elc ilisp-utl.elc ilisp-cmp.elc ilisp-kil.elc ilisp-snd.elc \
  ilisp-xfr.elc ilisp-hi.elc ilisp-aut.elc \
- ilisp-cl.elc ilisp-cmu.elc ilisp-sbcl.elc ilisp-cl-easy-meny.elc\
- ilisp-scheme-easy-menu.elc\
+ ilisp-cl.elc ilisp-cmu.elc ilisp-sbcl.elc ilisp-cl-easy-menu.elc\
  ilisp-acl.elc ilisp-kcl.elc ilisp-luc.elc ilisp-sch.elc ilisp-hlw.elc \
- ilisp-xls.elc ilisp-chs.elc ilisp-openmcl.elc
+ ilisp-xls.elc ilisp-chs.elc ilisp-openmcl.elc ilisp-ccl.elc
 
 
 DocFiles = docs/Makefile \
@@ -79,7 +75,6 @@
 # Rules
 
 compile:
-	(cd extra; $(LN) -f $(HyperSpec) hyperspec.el; cd ..)
 	$(EMACS) -batch -l ilisp-mak.el
 
 tags:
@@ -89,15 +84,13 @@
 	cd docs; $(MAKE)
 
 clean: 
-	-$(RM) *.elc *~ extra/*.elc extra/hyperspec.el extra/*~ TAGS \
+	-$(RM) *.elc *~ extra/*.elc extra/*~ TAGS \
 	$(FaslFiles)
 	(cd docs; $(MAKE) clean)
 
 loadfile:
-	touch ilisp-all.elc
-	cat $(LoadFiles) > ilisp-all.elc
-	$(RM) $(LoadFiles)
-# Note that the redirection is done by a Bourne Shell.
+	@echo 'The "loadfile" target is no longer supported.'
+	@exit 1
 
 compress:
 	gzip *.el $(OtherFiles)
@@ -123,7 +116,7 @@
             $(Ilisp_tar_dir)/*.scm                                      \
             $(patsubst %,$(Ilisp_tar_dir)/%,$(DocFiles))                \
             $(Ilisp_tar_dir)/extra/README                               \
-            $(Ilisp_tar_dir)/extra/hyperspec-*.el                       \
+            $(Ilisp_tar_dir)/extra/hyperspec.el                         \
 	    $(Ilisp_tar_dir)/extra/cltl2.el				\
             $(Ilisp_tar_dir)/pictures/ilisp-icon.*                      \
         )
