=== docs/Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 # Please refer to the file ACKNOWLEGDEMENTS for an (incomplete) list
 # of present and past contributors.
 #
-# $Id: Makefile,v 1.5 2001/06/06 12:07:33 amoroso Exp $
+# $Id: Makefile,v 1.7 2002/08/17 16:20:15 kevinrosenberg Exp $
 
 # Note: this makefile assumes GNU make
 
 #==============================================================================
 # Various Variables
 
-Version = 5.11.1
+Version = 5.12.0
 
 # The SHELL variable is used only for making the distribution.
 SHELL = /bin/sh
@@ -40,6 +40,9 @@
 
 #==============================================================================
 # Rules
+
+# KMR: Add .PHONY so that make system will build html rule rather that look at html directory
+.PHONY: html
 
 docs: ps pdf info html
