=== debian/control ===
Source: ilisp
Section: devel
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@alioth-lists.debian.net>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texinfo, ghostscript, texlive-latex-base
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/ilisp/
Vcs-Git: https://salsa.debian.org/debian/ilisp.git
Vcs-Browser: https://salsa.debian.org/debian/ilisp

Package: ilisp
Architecture: all
Depends: emacsen-common, ${misc:Depends}, adduser
Recommends: ilisp-doc
Suggests: hyperspec, cltl, emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21
Description: Emacs interface to LISP implementations
 ILISP is a powerful GNU Emacs interface to many dialects of Lisp,
 including Lucid, Allegro, Harlequin LispWorks, GCL, KCL, AKCL, ECL,
 IBCL, and CMUCL.  Also some Scheme implementations are supported as
 well as a preliminary version of Xlisp/XlispStat.

Package: ilisp-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Recommends: ilisp
Description: Documentation for ILISP package
 This package supplies PDF and HTML documentation for the ILISP
 package. ILISP is a powerful GNU Emacs interface to many dialects of
 Lisp.
