=== debian/rules ===
#!/usr/bin/make -f

# GNU copyright 1997 to 1999 by Joey Hess.
# GNU copyright 2002 to 2003 Kevin Rosenberg <kmr@debian.org>
# nearly complete rewrite Copyright 2009 Barak A. Pearlmutter <bap@debian.org>

%:
	dh $@

pkg		:= ilisp
pkg-doc		:= ilisp-doc
emacs_dir	:= usr/share/emacs/site-lisp/$(pkg)
ilisp_etc_dir	:= etc/ilisp
ilisp_share	:= usr/share/ilisp
cl_dir		:= usr/share/common-lisp/source/ilisp
clc_systems	:= usr/share/common-lisp/systems
compiled_dir	:= usr/lib/ilisp

override_dh_auto_build:
	$(MAKE) -C docs info pdf ilisp.html

execute_after_dh_install:
	for i in debian/$(pkg)/$(cl_dir)/*.lisp; do \
	  l=$$(echo $$i | sed -e "s|^debian/$(pkg)/$(cl_dir)/||;") ; \
          dh_link -p $(pkg) $(cl_dir)/$$l $(compiled_dir)/$$l ; \
	done
	for i in debian/$(pkg)/$(ilisp_share)/*.scm; do \
	  l=$$(echo $$i | sed -e "s|^debian/$(pkg)/$(ilisp_share)/||;") ; \
          dh_link -p $(pkg) $(ilisp_share)/$$l $(compiled_dir)/$$l ; \
	done

override_dh_compress:
	dh_compress --exclude=.pdf
